/**
 * Java Code Geeks Custom License 1.0
 *
 * Long text, specifying the copyrights etc.
 */
package com.jcg.maven.rat.factory;

import com.jcg.maven.rat.service.Vehicle;
import com.jcg.maven.rat.service.impl.Car;
import com.jcg.maven.rat.service.impl.Motorcycle;
import com.jcg.maven.rat.service.impl.Truck;

public class VehicleFactory {

	private static VehicleFactory INSTANCE = new VehicleFactory();

	public static VehicleFactory factory() {
		return INSTANCE;
	}

	public Vehicle getVehcile(String vehicleType) {
		switch (vehicleType.toUpperCase()) {
		case "CAR":
			return new Car();
		case "TRUCK":
			return new Truck();
		case "MOTORCYCLE":
			return new Motorcycle();
		default:
			return null;
		}
	}
}
