/*********************************************************************
 * Copyright 2020 Java Code Geeks
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.jcg.maven.rat.launcher;

import com.jcg.maven.rat.factory.VehicleFactory;
import com.jcg.maven.rat.service.Vehicle;

public class VehicleLauncher {

	public static void main(String[] args) {
		VehicleFactory vf = VehicleFactory.factory();
		for (String vehicleType : new String[] { "car", "motorcycle", "truck" }) {
			Vehicle vehicle = vf.getVehcile(vehicleType);
			vehicle.drive();
			vehicle.breaq();
		}
	}
}
